Index: ipk/source/picons_neutrino/CONTROL/preinst
===================================================================
--- ipk/source/picons_neutrino/CONTROL/preinst	(revision 7250)
+++ ipk/source/picons_neutrino/CONTROL/preinst	(revision 7253)
@@ -18,40 +18,31 @@
 fi
 
-if [ -e /etc/.fullusb ] || [ -e /etc/.usbimage ]; then
+if [ -e /etc/.usbimage ]; then
 	echo "detected USB Image...."
 	echo "ok..."
-elif [ "$model" = "ufs912" ] || [ "$model" = "at7000" ] || [ "$model" = "at700" ]; then
+elif [ "$model" = "ufs912" ] || [ "$model" = "at7500" ] || [ "$model" = "at7000" ] || [ "$model" = "at700" ]; then
 	echo "detected Boxtype : $model...."
 	echo "ok..."
-	if [ `ls -la /var/usr/local/share/neutrino/icons | grep "/var/swap/picon.neutrino" | wc -l` -ge 1 ]; then
-		echo "check ok...installing to swap...."
-	else
-		if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
-			SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
-			FREE=`expr $SPACE - 100`
-			SIZE=4272
-			echo "checking freespace in flash"
-			echo packege size $SIZE kb
-			echo freespace size $FREE kb
-			if  [ "$FREE" -lt "$SIZE" ]; then
-				echo "sorry no freespace left on device"
-				echo "ERROR: this package will not fit in your flash..."
-				echo "...you need a swapstick to install the package on your $model...!"
-				echo "aborting installation..."
-				exit 1
-			else
-				echo freespace ok
-			fi
-		fi
+	if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+		SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+		FREE=`expr $SPACE - 100`
+		SIZE=4272
+		echo "checking freespace in flash"
+		echo packege size $SIZE kb
+		echo freespace size $FREE kb
+		if  [ "$FREE" -lt "$SIZE" ]; then
+			echo "sorry no freespace left on device"
+			echo "ERROR: this package will not fit in your flash..."
+			echo "...you need a swapstick to install the package on your $model...!"
+			echo "aborting installation..."
+			exit 1
+		else
+			echo freespace ok
 	fi
 else
-	if [ `ls -la /var/usr/local/share/neutrino/icons | grep "/var/swap/picon.neutrino" | wc -l` -ge 1 ]; then
-		echo "check ok...installing to swapstick...."
-	else
-		echo "ERROR: this package will not fit in your flash..."
-		echo "...you need a swapstick to install the package on your $model...!"
-		echo "aborting installation..."
-		exit 1
-	fi
+	echo "ERROR: this package will not fit in your flash..."
+	echo "...you need a swapstick to install the package on your $model...!"
+	echo "aborting installation..."
+	exit 1
 fi
 
@@ -66,3 +57,6 @@
 	exit 1
 fi
+
+rm -rf /var/usr/local/share/neutrino/icons/logo
+				
 exit 0
